com.impinj.octane

## Class TargetTag

- java.lang.Object
- - com.impinj.octane.TargetTag

-     public class TargetTag
      extends java.lang.Object

  Helper class used to identify a specific tag or set of tags on which to perform a tag operation operation. This target tag operation is performed after the tag has been inventoried but before initiating an access sequence to the tag.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TargetTag()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `getBitPointer()`
    `java.lang.String` | `getData()`
    `java.lang.String` | `getMask()`
    `MemoryBank` | `getMemoryBank()`
    `void` | `setBitPointer(short bitPointer)`
    `void` | `setData(java.lang.String data)`
    `void` | `setMask(java.lang.String mask)`
    `void` | `setMemoryBank(MemoryBank memoryBank)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TargetTag

          public TargetTag()

  - ### Method Detail

    - #### getMemoryBank

          public MemoryBank getMemoryBank()

      Returns:
        The tag memory bank to filter on.

    - #### setMemoryBank

          public void setMemoryBank(MemoryBank memoryBank)

      Parameters:
        `memoryBank` - The tag memory bank to filter on.

    - #### getBitPointer

          public short getBitPointer()

      Returns:
        A pointer to the bit to start the filter comparison on.
      See Also:
        `BitPointers`

    - #### setBitPointer

          public void setBitPointer(short bitPointer)

      Parameters:
        `bitPointer` - A pointer to the bit to start the filter comparison on.
      See Also:
        `BitPointers`

    - #### getData

          public java.lang.String getData()

      Returns:
        The specific data value to filter on. /* This data should be expressed as a hex string.

    - #### setData

          public void setData(java.lang.String data)

      Parameters:
        `data` - The specific data value to filter on. /* This data should be expressed as a hex string.

    - #### getMask

          public java.lang.String getMask()

      Returns:
        A mask, in hex, which specifies which bits to match on and which to ignore. If a mask is not specified, all bits will be used to match.

    - #### setMask

          public void setMask(java.lang.String mask)

      Parameters:
        `mask` - A mask, in hex, which specifies which bits to match on and which to ignore. If a mask is not specified, all bits will be used to match.